Subject: Re: sqlplus and end-of-line problem in shell script code
From: Thomas Porschberg <[email-masked]>
To: "Dr. Volker Zell" <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Sep 2006 12:03:51 +0200

I do use Win2000 and a 9.2 Oracle database but I don't think
it is related to that.
Could you test it against an 9.2 database ?
Can you send me the output from the `env` command ?

Thank you for the first time. Oracle seems everywhere.

Regards,
Thomas P.

Am Fri, 29 Sep 2006 11:35:43 +0200
schrieb "Dr. Volker Zell" <[email-masked]>:

> >>>>> Thomas Porschberg writes:
> 
>     > Hi,
>     > I want to use our shell script collection which includes
>     > sqlplus calls under Cygwin.
>     > I have the following problem with this code snippet:
> 
>     > #!/bin/bash
> 
>     > RESULT=`sqlplus -s myuser/mypasswd@MYDB <<EOF
>     > SET FEEDBACK OFF;
>     > SET PAGESIZE 0;
>     > SELECT '42' FROM DUAL;
>     > EOF`
> 
>     > if test "$RESULT" = "42" ; then
>     > echo "Result is 42..."
>     > else
>     > echo "Result is not 42 ??!"
>     > fi
> 
>     > When I run the script on UNIX it prints "Result is 42..." which
>     > is OK. When I run the script under Cygwin the result is:
>     > "Result is not 42??!"
> 
> This is what I just got with your code against the latest Oracle 10g
> database on Windows XP:
> 
> ./checkSQLPLUS.sh 
> Result is 42...
> 
> Ciao
>   Volker
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 
> 

-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/